#include "DMCInit_Debug.h"

int srcbuff[BUFF_SIZE];
int dstbuff[BUFF_SIZE];

void Print_DMC_Register_Contents(uint32_t dmc_no)
{
	volatile int *pDMC;
	//DMC Controller registers
	printf("\nDMC0_CTL = 0x%0x",*pREG_DMC0_CTL);
	printf("\nDMC0_CFG = 0x%0x",*pREG_DMC0_CFG);
	printf("\nDMC0_TR0 = 0x%0x",*pREG_DMC0_TR0);
	printf("\nDMC0_TR1 = 0x%0x",*pREG_DMC0_TR1);
	printf("\nDMC0_TR2 = 0x%0x",*pREG_DMC0_TR2);
	printf("\nDMC0_MR = 0x%0x",*pREG_DMC0_MR);
	printf("\nDMC0_MR1 = 0x%0x",*pREG_DMC0_MR1);
	printf("\nDMC0_MR2 = 0x%0x",*pREG_DMC0_MR2);
	printf("\nDMC0_DCLLCTL = 0x%0x",*pREG_DMC0_DLLCTL);

	//DMC PHY registers
	pDMC=(volatile int*)0x31071000;
	printf("\nDMC0_PHY_CTL0 = 0x%0x",*pDMC);pDMC++;
	printf("\nDMC0_PHY_CTL1 = 0x%0x",*pDMC);pDMC++;
	printf("\nDMC0_PHY_CTL2 = 0x%0x",*pDMC);pDMC++;
	printf("\nDMC0_PHY_CTL3 = 0x%0x",*pDMC);pDMC++;
	printf("\nDMC0_PHY_CTL4 = 0x%0x",*pDMC);pDMC++;
	pDMC++;
	pDMC++;
	pDMC++;
	pDMC++;
	pDMC++;
	pDMC++;
	pDMC++;
	pDMC++;
	printf("\nDMC0_CAL_PADCTL0 = 0x%0x",*pDMC);pDMC++;
	pDMC++;
	printf("\nDMC0_CAL_PADCTL2 = 0x%0x",*pDMC);pDMC++;
	pDMC++;
}
int Test_DMC_Basic(unsigned int start_address)
{
	int i; int* dmcw; int*dmcr; int failure=0;

	//Initialize the source buffer contents
	for(i=0;i<BUFF_SIZE;i++)
	{
		srcbuff[i]=rand();
	}
	//Write source buffer contents to the DMC
	dmcw=(int*)DMC0_START_ADDRESS;
	for(i=0;i<BUFF_SIZE;i++)
	{
		*dmcw=srcbuff[i];dmcw++;
	}

	//Read the written values back
	dmcr=(int*)DMC0_START_ADDRESS;
	for(i=0;i<BUFF_SIZE;i++)
	{
		dstbuff[i]=*dmcr;dmcr++;
	}

	//Compare the source and destination buffer contents
	for(i=0;i<BUFF_SIZE;i++)
	{
		if(srcbuff[i]!=dstbuff[i])
		{
			failure++;
		}
	}

	return failure;
}
