#include "defsc589.h"
#include "cdefsc589.h"
#include "stdint.h"
#include "stdio.h"
#include "stdbool.h"

enum DDR_MODE
{
	DDR3_MODE,
	DDR2_MODE,
	LPDDR_MODE,
};

typedef struct
{
	uint32_t dmc_no;
	uint32_t ddr_mode;
	uint32_t cclk_dclk_ratio;
	uint32_t padctl2_value;
	uint32_t dmc_cphyctl_value;
	uint32_t dmc_cfg_value;
	uint32_t dmc_ctl_value;
	uint32_t dmc_tr0_value;
	uint32_t dmc_tr1_value;
	uint32_t dmc_tr2_value;
	uint32_t dmc_mr0_value;
	uint32_t dmc_mr1_value;
	uint32_t dmc_mr2_value;
	uint32_t dmc_data_calib_add_value;
	bool phy_init_required;
	bool anomaly_20000037_applicable;
} DMC_PARAM;


void DMCInit(DMC_PARAM DMC_Param_List);
void DMC_PHY_Init(DMC_PARAM DMC_Param_List);
void DMC_Controller_Init(DMC_PARAM DMC_Param_List);
void DMC_Enter_Self_Refresh(uint32_t dmc_no);
void DMC_Exit_Self_Refresh(uint32_t dmc_no);

